Subject: [PWE3] Ad review of draft-ietf-pwe3-static-pw-status-06.txt

From: Luca Martini <[email-masked]>
Date: Wed, 14 Sep 2011 14:26:43 -0600

WG,

I have completed the required edits as requested by the AD review below.
I do not consider any of these changes more then editorial improvements.
I will be posting an update shortly.
Thanks.
Luca

On 08/13/11 09:49, Giles Heron wrote:
>> On 7/20/2011 10:44 , "Stewart Bryant"<[email-masked]>   wrote:
>> >>> 
>> >>> This is my AD review of draft-ietf-pwe3-static-pw-status.
>> >>> 
>> >>> The first two points are trivial and I would put the doc straight
>> >>> into IETF LC with those unresolved.
>> >>> 
>> >>> However the RFC5586 issue is more serious particularly given the GAL
>> >>> in PW discussion.
>> >>> 
>> >>> On the other hand if you do the update in this document the update
>> >>> only applies to the mode of operation described in this document and
>> >>> since this document has passed PWE3 WG LC must be a mode that is
>> >>> acceptable to the WG.
>> >>> 
>> >>> A note that this document updates RFC5586 would also need to be added
>> >>> to the meta data and the abstract. This would need to be done before
>> >>> IETF LC in order to comply with IETF procedures.
>> >>> 
>> >>> - Stewart
>> >>> 
>> >>> 
>> >>> 
>> >>> =======
>> >>>       This document updates [RFC5885] as follows:
>> >>> 
>> >>>       When BFD is used, and the Pseudowire Status protocol for Static
>> >>>       Pseudowires described in this document is used BFD MUST NOT be used
>> >>>       to convey PW status signaling information (CV Types 0x08 and 0x20
>> >>>       MUST NOT be used).
>> >>> 
>> >>> 
>> >>> You will need to note in the metadata that this document updates
>> >>> RFC5885, and you should note this in the abstract.
>> >>> 
I have added a note in the abstract.

>> >>> =======
>> >>> 
>> >>> 5.4. MPLS Label Stack
>> >>> 
>> >>>       With one exception, all PW OAM status messages are are sent to the
>> >>>       adjacent PE across the PSN tunnel. in many cases the
>> >>> transmitting PE s/in/In/
>> >>> 
>> >>> =======
>> >>> 
>> >>> 5.4.1. Label stack for a message destined to the next PE
>> >>> 
>> >>>       A PE that needs to forward a PW OAM status message to the
>> >>> adjacent PE
>> >>>       across the PSN tunnel, MUST set the PW label TTL field to 1.
>> >>>       Furthermore if the control word is not in use on the particular PW,
>> >>>       the PE MUST also place the GAL reserved label [RFC5586], below
>> >>> the PW
>> >>>       label also with the TTL field set to 1.
>> >>> 
>> >>> 
>> >>> Hm, this is a modification to RFC5586 so you need to either reference
>> >>> the draft that modifies RFC5586, or make this draft be the draft that
>> >>> does that modification.
>> >>> 
This draft does not modify rfc5586.
Quoting rfc5586 :
"However, in other MPLS environments, this
   document places no restrictions on where the GAL may appear within
   the label stack or its use with PWs."

It seems to me that the text in  this document is allowed by rfc5586.

>> >>> 
>> >>> 5.4.2. Label stack for a message destined to the egress PE
>> >>> 
>> >>>       This is also known as "S-PE bypass mode" see below. A T-PE that
>> >>>       requires sending a PW OAM status message directly to the
>> >>>       corresponding T-PE at the other end of the PW MUST set the TTL
>> >>> of the
>> >>>       PW label to a value that is sufficient to reach the corresponding T-
>> >>>       PE. This value will be greater then one, but will be set
>> >>> according to
>> >>>       the local policy on the transmitting T-PE. Furthermore if the
>> >>> control
>> >>>       word is not in use on the particular PW, the PE MUST also place the
>> >>>       GAL reserved label [RFC5586], below the PW label with the TTL field
>> >>>       set to 1.
>> >>> 
>> >>> Same comment as above.
>> >>> 
>> >>> ========
>> >>> 
>> >>> RFC5585 and RFC5586 look like normative references
>> >>> 
>> >>> ========
>> >>> 
>> >>> 
>> >>> 
> >>